## org.apache.commons.collections.functors
Class ExceptionClosure

    java.lang.Object
      org.apache.commons.collections.functors.ExceptionClosure

All Implemented Interfaces:
  Closure, Serializable

public final class ExceptionClosure
extends Object
implements Closure, Serializable

Closure implementation that always throws an exception.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.7 $ $Date: 2004/05/16 11:47:38 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Closure` `INSTANCE` Singleton predicate instance

Method Summary
`void` `execute(Object input)` Always throw an exception.
`static Closure` `getInstance()` Factory returning the singleton instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Closure INSTANCE

  Singleton predicate instance

Method Detail

### getInstance

    public static Closure getInstance()

  Factory returning the singleton instance.

  Returns:
    the singleton instance
  Since:
    Commons Collections 3.1

### execute

    public void execute(Object input)

  Always throw an exception.

  Specified by:
    `execute` in interface `Closure`
  Parameters:
    `input` - the input object
  Throws:
    `FunctorException` - always

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.